
(function($){

    "use strict";

window.supernova = {

    init : function()
    {
        this.settings();
        this.defaultEvents();
    },

    settings : function()
    {        
        this.backtotopDiv = $("#backtotop");
    }, 

    defaultEvents: function()
    {   
        this.resizeFont();
        this.mainNavigation();
        this.categoryWidget();
        this.backtoTop();
        this.topSearch();
        this.responsiveTweaks();
        this.homeAjax();
        this.recentPostAjax();
        this.popularPostsAjax();
        this.recommendedPostsAjax();
        this.tabber();
        this.commentValidation();
        
    },

    resizeFont : function()
    {
        $('#minustext').on('click', function(){
            $('.entry').animate({'font-size': '-=1'});
        });

        $('#plustext').on('click', function( _event ){
            $('.entry').animate({'font-size': '+=1'});
        });
    },

    mainNavigation : function()
    {
        var MainMenu = function () {
            this.navLi = $("#nav li").children("ul").hide().end();
            this.init();
        };
        MainMenu.prototype = {
            init: function () {
                this.setMenu();
            },
            setMenu: function () {
                $.each(this.navLi, function () {
                    if ($(this).children("ul")[0]) {
                        $(this).append("<span />").children("span").addClass("hasChildren");
                    }
                });
                this.navLi.hover(function () {
                    $(this).find("> ul").stop(true, true).slideDown("slow", "easeOutBounce");
                }, function () {
                    $(this).find("> ul").stop(true, true).hide();
                });
            }
        };
        var SubMenu = function () {
            this.navLi = $("#top_nav li").children("ul").hide().end();
            this.init();
        };
        SubMenu.prototype = {
            init: function () {
                this.setMenu();
            },
            setMenu: function () {
                $.each(this.navLi, function () {
                    if ($(this).children("ul")[0]) {
                        $(this).append("<span />").children("span").addClass("hasChildren");
                    }
                });
                this.navLi.hover(function () {
                    $(this).find("> ul").stop(true, true).slideDown("slow", "easeOutBounce");
                }, function () {
                    $(this).find("> ul").stop(true, true).hide();
                });
            }
        };

        new MainMenu();
        new SubMenu();
    },

    categoryWidget : function()
    {
        //If category widget has sub menus
        var catUL = $('.catnav li').find('ul'),
            liunderUl = catUL.find('li');
        if( catUL.length ) catUL.remove();

        $('.catnav ul').append(liunderUl);
    },

    topSearch: function()
    {      
        var $searchIcon = $("#top_most .top_search_icon");
        var $input      = $("#top_most .supernova_search.search_input");

        $(window).on('scroll', function(){
            if($(this).scrollTop() > 100){
                $searchIcon.fadeIn();
            }else{
                $searchIcon.fadeOut();
            }
        });

        $searchIcon.on('click', function(e){
            $input.fadeToggle();
            e.stopPropagation();
        });

        $input.on('click', function(e){
            e.stopPropagation();
        });

        $('body').on('click', function(e){
            $input.fadeOut();
            e.stopPropagation();
        });

    },

    backtoTop: function()
    {
        $(window).scroll(function () {
            if ($(this).scrollTop() > 50) supernova.backtotopDiv.fadeIn('slow');
            else supernova.backtotopDiv.fadeOut('slow');
        });
        supernova.backtotopDiv.click(function () {
            $("body,html").animate( { scrollTop: 0 }, 600); return false;
        });
    },

    //Needs Improvment;
    responsiveTweaks : function()
    {
        var resp_data   = supernova_ajax_object.responsiveness; //Sorry no more posts available text
            resp_data   = resp_data.split('|');
        var for_all     = resp_data[0];
        var for_mobile  = resp_data[1];        
        
        if (for_all === 'no') {                
            var t = window.innerHeight + "px";
            
            var screenSize = 920;
            
            if(for_mobile !== 'no')
                screenSize = 320;             
            
            if (window.innerWidth < screenSize) {
                $("#top_most, #nav_wrapper").css({
                    height: t,
                    overflow: "auto"
                });
            } else {
                $("#top_most, #nav_wrapper").css({
                    overflow: "visible",
                    height: "auto"
                });
            }
            $(".media_left").click(function () {
                $("#header_navigation").animate({
                    width: "toggle"
                });
            });
            $(".media_left_close").click(function () {
                $("#header_navigation").animate({
                    width: "toggle"
                });
            });
            $(".media_right").click(function () {
                $("#nav_wrapper").animate({
                    width: "toggle"
                });
            });
            $(".media_right_close").click(function () {
                $("#nav_wrapper").animate({
                    width: "toggle"
                });
            });
        }

        $(window).bind("resize", function (e) {
            var resp_data   = supernova_ajax_object.responsiveness; //Sorry no more posts available text
                resp_data   = resp_data.split('|');
            var for_all     = resp_data[0];
            var for_mobile  = resp_data[1];
            var screenSize;       
            
            if (for_all === 'no') {
                screenSize = 920;
                
            if(for_mobile !== 'no')
                screenSize = 320; 
                
                if (window.innerWidth < screenSize)
                {
                    var t = window.innerHeight + "px";
                    $("#top_most, #nav_wrapper").css({
                        overflow: "auto"
                    });
                    $("#top_most, #nav_wrapper").css({
                        height: t
                    });
                    $("#title_wrapper").css({
                        "margin-top": "40px"
                    });
                }
                else{
                    $("#top_most, #nav_wrapper").css({
                        overflow: "visible"
                    });
                    $("#top_most, #nav_wrapper").css({
                        height: "auto"
                    });
                    $("#title_wrapper").css({
                        "margin-top": "10px"
                    });
                }

            }
        });
    },

    homeAjax : function()
    {
        $('#tabs div').click(function(){
                var title = $(this).text();
                $('.main_content').find('.latest_blogs').text(title);
                $('#tabs div').removeClass('tab_current');
                $(this).addClass('tab_current');
        });
    }, 

    recentPostAjax : function()
    {
        $("#tab_one").click(function () {
            $(".main_loop, .pagination_wrapper").fadeIn("slow"); //Will be used on next click
            $("#popular_posts, #rec_posts").fadeOut("slow"); //Hide other divs
        });

           var count = 1;
           var paged = false;
        $('.supernova_load_more_main').click(function(){   
            
            showmore_text        = $(this).text(); //Show more Text
            free_data            = supernova_ajax_object.load_more_data; //Sorry no more posts available text
            free_data            = free_data.split('|');
            loading_text         = free_data[0]+'...'; //Loading... Text
            sorry_nomore_text    = free_data[1]; //Sorry no more posts available, please check back later text
            no_more_text         = free_data[2]; //No more posts available
            
            class_data     = $(this).attr('class');
            pages           = class_data.split(' ');
            total_pages     = pages[1];
            posts_per_page  = pages[3];
            Pagination      = $('.pagination_wrapper');
            total_posts     = (total_pages*posts_per_page - posts_per_page*count)-posts_per_page; 
            
                Pagination.find('.main_loader').show();        
                Pagination.find('.button').attr('title', total_posts +' More');
                Pagination.find('.button').html(loading_text).prop("disabled", true);        
                if(total_pages > count){
                    supernova_loadmore_main(count, showmore_text);
                    count ++;
                }else{
                     Pagination.find('.main_loader').hide(); 
                     Pagination.find('.button').attr('title', sorry_nomore_text);
                     Pagination.find('.button').html(no_more_text).delay(1000).fadeOut();
                    return false;
                }
        });

        function supernova_loadmore_main(paged, htmlvalue){
                $.ajax({
                    url:  supernova_ajax_object.ajaxurl,
                    type:'POST',
                    dataType: "html",
                    data: "action=supernova_load_main_posts&paged="+ paged, 
                    success: function(html){
                        $(".main_loop").append(html).hide().fadeIn();
                        $('.pagination_wrapper').find('.main_loader').hide();                
                        $('.pagination_wrapper').find('.button').html(showmore_text).prop("disabled", false);                
                    }            
                });
        }

    },

    popularPostsAjax : function()
    {
            var count_two = 0; //so when the user returns to this tab it doesn't load the content again

            $('#tab_two').click(function(){
                
            if(count_two === 0){               
                $('.main_loop, .pagination_wrapper, #rec_posts').fadeOut('slow');
                $('#popular_posts').fadeIn('slow'); 
                var title = $(this).text();
                $('.latest_blogs').html(title).hide().fadeIn('slow');
                $('.supernova_ajax_loader').fadeIn('slow');
                }else{
                    $('.main_loop, .pagination_wrapper, #rec_posts').fadeOut('slow');
                     $('#popular_posts').fadeIn('slow');             
                }
                
                    $.ajax({
                        type: "POST",
                        dataType: "html",
                        url:  supernova_ajax_object.ajaxurl,  
                        data: 'action=supernova_get_popular_posts',
                        success: function (msg) {  
                                if(count_two === 0){
                                $("#popular_posts").append(msg);
                                count_two ++;                         
                                    }
                                $('.supernova_ajax_loader').fadeOut();                                           
                        }
                    });
            });   
            
        var popular_count = 1;
        $('.popular_load_more').live('click', function(){  
            
            showmore_text     = $(this).text(); //Show more Text
            free_data         = supernova_ajax_object.load_more_data; //Sorry no more posts available text
            free_data         = free_data.split('|');
            loading_text      = free_data[0]+'...'; //Loading... Text
            sorry_nomore_text = free_data[1]; //Sorry no more posts available, please check back later text
            no_more_text      = free_data[2]; //No more posts available 
            
            total_posts       = $(this).attr('class');
            pages             = total_posts.split(' ');
            total_posts       = pages[1];
            posts_per_page    = pages[3];
            total_slot        = Math.floor(total_posts/posts_per_page);
           
            $(this).html(loading_text).delay(800).fadeOut('slow');
                
                if(total_slot > popular_count){
                    supernova_popular_loadmore(popular_count);
                    popular_count ++;
                }else{
                    $(this).attr('title', sorry_nomore_text );
                    $(this).html(no_more_text).prop("disabled", true).delay(800).fadeOut('slow');
                    return false;
                }
        });

        function supernova_popular_loadmore(offset){
                $.ajax({
                    url:  supernova_ajax_object.ajaxurl,
                    type:'POST',
                    dataType: "html",
                    data: "action=supernova_get_popular_posts&offset="+ offset,
                    success: function(msg){
                        $("#popular_posts").append(msg).hide().fadeIn();
                    }
                });
        }

    },

    recommendedPostsAjax : function()
    {
            var count_three = 0;
            $("#tab_three").click(function () {
                if (count_three === 0) {
                    $(".main_loop, .pagination_wrapper, #popular_posts").fadeOut("slow");
                    $("#rec_posts").fadeIn("slow");
                    $(".supernova_ajax_loader").fadeIn("slow");
                } else {
                    $(".main_loop, .pagination_wrapper, #popular_posts").fadeOut("slow");
                    $("#rec_posts").fadeIn("slow");
                }
                $.ajax({
                    type: "POST",
                    dataType: "html",
                    url: supernova_ajax_object.ajaxurl,
                    data: "action=supernova_get_recommended_posts",
                    success: function (msg) {
                        if (count_three === 0) {
                            $("#rec_posts").append(msg);
                            count_three++;
                        }
                        $(".supernova_ajax_loader").fadeOut();
                    },
                    error: function (count_three, t, n) {
                        console.log("Error Message: " + t);
                        console.log("HTTP Error: " + n);
                    }
                });
            });

        var rec_count = 1;
        $('.rec_load_more').live('click', function(){
            
            showmore_text        = $(this).text(); //Show more Text
            free_data            = supernova_ajax_object.load_more_data; //Sorry no more posts available text
            free_data            = free_data.split('|');
            loading_text         = free_data[0]+'...'; //Loading... Text
            sorry_nomore_text    = free_data[1]; //Sorry no more posts available, please check back later text
            no_more_text         = free_data[2]; //No more posts available 
            
           class_data = $(this).attr('class');
           pages       = class_data.split(' ');
           total_posts = pages[1];
           posts_per_page = pages[3];
           var total_pages = Math.ceil(total_posts/posts_per_page);   
               
            $(this).html(loading_text).prop("disabled", true);        
            $(this).delay(1000).fadeOut('slow');
                if(total_pages > rec_count){
                    $(this).html(loading_text).prop("disabled", false); 
                    supernova_rec_loadmore(rec_count, showmore_text);            
                    rec_count ++;
                }else{
                    $(this).attr('title', sorry_nomore_text );
                    $(this).html(no_more_text).prop("disabled", true).delay(800).fadeOut('slow');
                    return false;
                }
        });

        function supernova_rec_loadmore(offset, showmore_text ){
                $.ajax({
                    url:  supernova_ajax_object.ajaxurl,
                    type:'POST',
                    dataType: "html",
                    data: "action=supernova_get_recommended_posts&offset="+ offset, 
                    success: function(msg){                
                        $("#rec_posts").append(msg).hide().fadeIn();
                                     $(this).html(showmore_text).prop("disabled", false);
                                    $('.rec_loader').hide();
                    }            
                });
        }

    }, 
    
    tabber : function()
    {
        var tabber = $('.supernova_tabber_top li');
        if(tabber.length){
            tabber.click(function(){
                var liIndex = $(this).index();
                var TargetDiv = $('.supernova_tabber_contents').find('div');
                
                TargetDiv.hide();
                TargetDiv.eq(liIndex).fadeIn();
                $('.supernova_tabber_current').removeClass('supernova_tabber_current');
                $(this).find('span').addClass('supernova_tabber_current');  
                
            });
        }
    }, 

    commentValidation : function()
    {
        //Comment textarea
        var commentTextarea = $('.supernova-comment-textarea'),
            commentsSection = $('div.supernova_comments');
        commentsSection.find('input').hide();

        commentTextarea.css('min-height', '80px' );
        commentTextarea.on('focus', function(){
            $(this).animate({'height': '130px'}, 500);
            commentsSection.find('input').fadeIn('slow');
        });

        $('#commentform').find('#submit').on('click', function(e){
            if( $('input#author').val() === '' && $('input#email').val() === '' ){
                $('input#author, input#email').css('border', '1px solid red');
                alert('Please Enter Your Name and Your Email.');
                e.preventDefault(); return;
            }else if ($('input#email').val() === '') {
                $('input#email').css('border', '1px solid red');
                alert('Please Enter Your Email.');
                e.preventDefault(); return;
            }else if($('input#author').val() === ''){
                $('input#author').css('border', '1px solid red');
                alert('Please Enter Your Name.');
                e.preventDefault(); return;
            }
        });
        $('input#author, input#email').on('focus', function(){
            $(this).css('border', 'none');
        });

    }


};

window.supernova.init();

})(jQuery);